MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028440Open CASCADE[OCCT] OCCT:Documentationpublic2017-02-04 09:472017-09-29 16:28
Reporterabv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028440: Documentation - Doxygen errors on Linux
DescriptionWhen generating Overview documentation on Linux, Doxygen reports two kinds of warnings:

1. Wrong image file name (the files are actually stored using capital letters in extension):

\\/home/abv/occt/dox/user_guides/boolean_operations/boolean_operations.md:\2668:\warning: image file /user_guides/boolean_operations/images/glue_options_image002.png is not found in IMAGE_PATH: assuming external image.\
\\/home/abv/occt/dox/user_guides/boolean_operations/boolean_operations.md:\2673:\warning: image file /user_guides/boolean_operations/images/glue_options_image001.png is not found in IMAGE_PATH: assuming external image.\
\\/home/abv/occt/dox/user_guides/boolean_operations/boolean_operations.md:\2676:\warning: image file /user_guides/boolean_operations/images/glue_options_image003.png is not found in IMAGE_PATH: assuming external image.\
\\/home/abv/occt/dox/user_guides/boolean_operations/boolean_operations.md:\2720:\warning: image file /user_guides/boolean_operations/images/glue_options_image004.png is not found in IMAGE_PATH: assuming external image.\
\\/home/abv/occt/dox/user_guides/boolean_operations/boolean_operations.md:\2726:\warning: image file /user_guides/boolean_operations/images/glue_options_image005.png is not found in IMAGE_PATH: assuming external image.\

2. Unnecessary "::" before method name are treated by Doxygen as explicit link request which it cannot resolve:

\\/home/abv/occt/dox/dev_guides/upgrade/upgrade.md:\1227:\warning: explicit link request to 'Erase()' could not be resolved\
\\/home/abv/occt/dox/dev_guides/upgrade/upgrade.md:\1227:\warning: explicit link request to 'Update()' could not be resolved\
Steps To Reproducebuild with CMake on Linux
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028362closedbugmaster Documentation - Doxygen warnings 

-  Notes
(0063434)
git (administrator)
2017-02-04 10:40

Branch CR28440 has been created by abv.

SHA-1: 8553e38b0a093a72c2a8adbe59ab958e6c44c31d


Detailed log of new commits:

Author: abv
Date: Sat Feb 4 10:39:56 2017 +0300

    0028440: Documentation - Doxygen errors on Linux
    
    Extensions of PNG files is corrected to be lowercase
(0063435)
git (administrator)
2017-02-04 10:44

Branch CR28440 has been updated forcibly by abv.

SHA-1: fd3da8edcbf3dbfcd726b76c0b5058e6e9217558
(0063436)
abv (manager)
2017-02-04 10:45

Corrected in branch CR28440, please integrate
(0063450)
git (administrator)
2017-02-05 18:21

Branch CR28440 has been updated by abv.

SHA-1: ebf7f665046e79ae1a07ef3ac7d0806d3bc2fc15


Detailed log of new commits:

Author: abv
Date: Sun Feb 5 18:21:30 2017 +0300

    Duplicate subsection tag is corrected in Draw user guide

(0064502)
git (administrator)
2017-03-20 14:35

Branch CR28440 has been deleted by inv.

SHA-1: ebf7f665046e79ae1a07ef3ac7d0806d3bc2fc15

- Related Changesets
occt: master 97f3782b
Timestamp: 2017-02-09 12:32:24
Author: abv
Committer: apn
Details ] Diff ]
0028440: Documentation - Doxygen errors on Linux

Extensions of PNG files is corrected to be lowercase
Duplicate subsection tag is corrected in Draw user guide
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-02-04 09:47 abv New Issue
2017-02-04 09:47 abv Assigned To => ysn
2017-02-04 10:40 git Note Added: 0063434
2017-02-04 10:44 git Note Added: 0063435
2017-02-04 10:45 abv Note Added: 0063436
2017-02-04 10:45 abv Status new => resolved
2017-02-04 10:45 abv Steps to Reproduce Updated View Revisions
2017-02-04 10:45 abv Assigned To ysn => bugmaster
2017-02-04 10:45 abv Status resolved => reviewed
2017-02-05 18:21 git Note Added: 0063450
2017-02-06 17:00 apv Test case number => Not needed
2017-02-06 17:00 apv Status reviewed => tested
2017-02-10 14:33 apn Changeset attached => occt master 97f3782b
2017-02-10 14:33 apn Assigned To bugmaster => apn
2017-02-10 14:33 apn Status tested => verified
2017-02-10 14:33 apn Resolution open => fixed
2017-03-20 14:35 git Note Added: 0064502
2017-06-20 23:32 abv Relationship added related to 0028362
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:28 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker